<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>All Packages (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Packages (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Packages" class="title">All&nbsp;Packages</h1>
</div>
<div class="allPackagesContainer">
<ul class="blockList">
<li class="blockList">
<table class="packagesSummary">
<caption><span>Package Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/analysis/package-summary.html">import hk.quantr.mxgraph.analysis</a></th>
<td class="colLast">
<div class="block">This package provides various algorithms for graph analysis, such as
  shortest path and minimum spanning tree.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/canvas/package-summary.html">import hk.quantr.mxgraph.canvas</a></th>
<td class="colLast">
<div class="block">This package contains various implementations for painting a graph using
  different technologies, such as Graphics2D, HTML, SVG or VML.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/costfunction/package-summary.html">import hk.quantr.mxgraph.costfunction</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/generatorfunction/package-summary.html">import hk.quantr.mxgraph.generatorfunction</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/io/package-summary.html">import hk.quantr.mxgraph.io</a></th>
<td class="colLast">
<div class="block">This package contains all classes for input/output.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/layout/package-summary.html">import hk.quantr.mxgraph.layout</a></th>
<td class="colLast">
<div class="block">This package contains various graph layouts.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/layout/hierarchical/package-summary.html">import hk.quantr.mxgraph.layout.hierarchical</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/layout/hierarchical/model/package-summary.html">import hk.quantr.mxgraph.layout.hierarchical.model</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/layout/hierarchical/stage/package-summary.html">import hk.quantr.mxgraph.layout.hierarchical.stage</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/layout/orthogonal/package-summary.html">import hk.quantr.mxgraph.layout.orthogonal</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/layout/orthogonal/model/package-summary.html">import hk.quantr.mxgraph.layout.orthogonal.model</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/model/package-summary.html">import hk.quantr.mxgraph.model</a></th>
<td class="colLast">
<div class="block">This package contains the classes that define a graph model.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/reader/package-summary.html">import hk.quantr.mxgraph.reader</a></th>
<td class="colLast">
<div class="block">This package contains the classes required to turn an encoded mxGraphView
  into an image using SAX and without having to create a graph model.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/shape/package-summary.html">import hk.quantr.mxgraph.shape</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/swing/package-summary.html">import hk.quantr.mxgraph.swing</a></th>
<td class="colLast">
<div class="block">This package contains the main component for JFC/Swing, namely the graph
  component and the outline component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/swing/handler/package-summary.html">import hk.quantr.mxgraph.swing.handler</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/swing/util/package-summary.html">import hk.quantr.mxgraph.swing.util</a></th>
<td class="colLast">
<div class="block">This package contains all utility classes that require JFC/Swing, namely for
  mouse event handling, drag and drop, actions and overlays.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/swing/view/package-summary.html">import hk.quantr.mxgraph.swing.view</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for interaction, namely the
  mxCellEditor used for in-place editing and the mxInteractiveCanvas, which
  defines the requirements for a canvas that supports hit-detection on shapes.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/util/package-summary.html">import hk.quantr.mxgraph.util</a></th>
<td class="colLast">
<div class="block">This package provides utility classes such as mxConstants, mxUtils, mxPoint
  and mxRectangle as well as all classes for custom events and the undo
  history.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/util/png/package-summary.html">import hk.quantr.mxgraph.util.png</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/util/svg/package-summary.html">import hk.quantr.mxgraph.util.svg</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="com/mxgraph/view/package-summary.html">import hk.quantr.mxgraph.view</a></th>
<td class="colLast">
<div class="block">This package implements the graph component, represented by the mxGraph
  class.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
